<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
<head>
    <meta charset="UTF-8"/>
    <title>Vérification des droits testeurAuto</title>
</head>
<body style="p:before .success, li:before .success {
              background-image:
                  url(http://images4.wikia.nocookie.net/__cb20101013160837/sims/fr/images/d/dd/Ic%C3%B4ne_Valid.png);
              content:'>'
          }">
<h3> on teste les droits sur les données de référence pour l'utilisateur <span
        concordion:set="#utilisateur">testeurAuto</span></h3>
<table concordion:execute="#hasActivity=hasActivity(#utilisateur, #role, #Type, #Path, #date)">
    <tr>
        <th concordion:set="#role">Role</th>
        <th concordion:set="#Type">Type de privilège</th>
        <th concordion:set="#Path">Path</th>
        <th concordion:set="#date">Date</th>
        <th concordion:assertEquals="#hasActivity">A les droits</th>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>agroecosysteme</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>sites</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>themes</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>types_de_donnees_par_themes_de_sites</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>unites</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>variables</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>variables_et_unites_par_types_de_donnees</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>blocs</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>parcelle</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>traitement_programme</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>variables_de_description</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>modalites</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>suivi_parcelle</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>version_de_traitement</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>listes_itineraire</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>produit_phytosanitaire</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>listes_vegetation</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>masse_vegetale_classification</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>methode_masse_vegetale</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>methode_analyse</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>methode_lai</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>methode_hauteur_vegetal</td>
        <td></td>
        <td>true</td>
    </tr>
</table>
<h3> on teste les droits sur les données expérimentales pour l'utilisateur <span concordion:set="#utilisateur">testeurAuto</span>
</h3>
<table concordion:execute="#hasActivity=hasActivity(#utilisateur, #role, #Type, #Path, #date)">
    <tr>
        <th concordion:set="#role">Role</th>
        <th concordion:set="#Type">Type de privilège</th>
        <th concordion:set="#Path">Path</th>
        <th concordion:set="#date">Date</th>
        <th concordion:assertEquals="#hasActivity">A les droits</th>
    </tr>
    <tr>
        <td>depot</td>
        <td>dataset</td>
        <td>rotation_prairie_culture/lusignan/mesures_physiques_du_sol</td>
        <td>01/01/2011</td>
        <td>true</td>
    </tr>
    <tr>
        <td>publication</td>
        <td>dataset</td>
        <td>rotation_prairie_culture/lusignan/mesures_physiques_du_sol</td>
        <td>01/01/2011</td>
        <td>true</td>
    </tr>
    <tr>
        <td>extraction</td>
        <td>dataset</td>
        <td>rotation_prairie_culture/lusignan/mesures_physiques_du_sol</td>
        <td>02/01/2011</td>
        <td>true</td>
    </tr>
    <tr>
        <td>suppression</td>
        <td>dataset</td>
        <td>rotation_prairie_culture/lusignan/mesures_physiques_du_sol</td>
        <td>03/01/2011</td>
        <td>true</td>
    </tr>
</table>
<h3> on teste les droits sur la gestion des fichiers complémentaires pour l'utilisateur <span
        concordion:set="#utilisateur">testeurAuto</span></h3>
<table concordion:execute="#hasActivity=hasActivity(#utilisateur, #role, #Type, #Path, #date)">
    <tr>
        <th concordion:set="#role">Role</th>
        <th concordion:set="#Type">Type de privilège</th>
        <th concordion:set="#Path">Path</th>
        <th concordion:set="#date">Date</th>
        <th concordion:assertEquals="#hasActivity">A les droits</th>
    </tr>
    <tr>
        <td>depot</td>
        <td>file</td>
        <td>rotation_prairie_culture/lusignan/mesures_physiques_du_sol</td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>telechargement</td>
        <td>file</td>
        <td>rotation_prairie_culture/lusignan/mesures_physiques_du_sol</td>
        <td>01/01/2011</td>
        <td>true</td>
    </tr>
</table>

</body>
</html>